Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-53727

GPL add-on components should not be enabled by default in Qt 5.7 open-source installer

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: P1: Critical
    • Resolution: Done
    • Affects Version/s: 5.7.0 RC
    • Fix Version/s: 5.7.0
    • Component/s: Packaging & Installer
    • Labels:
      None

      Description

      The open-source installer should not install GPL add-on components by default. It is better that the user explicitly selects these add-on for installation.Enclosed screenshot shows the selection after unticking of the GPL components.

      In the commercially licensed Qt versions these add-on components should be enabled by default, as they are all the same as rest of Qt for commercial licensees.

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            ankokko Antti Kokko
            Reporter:
            ttt Tuukka Turunen
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes